---
- name: "(monitoring.snmp_exporter) configure snmp exporter"
  ansible.builtin.template:
    dest: "{{ snmp_exporter_conf_main }}"
    src: "{{ snmp_exporter_conf_tmpl }}"
    owner: "root"
    group: "root"
    mode: "0644"
    force: "yes"
  when: "snmp_exporter_conf_tmpl is defined"
  notify: "(monitoring.snmp_exporter) reload service"

- name: "(monitoring.snmp_exporter) deploy default snmp exporter configuration"
  ansible.builtin.copy:
    dest: "{{ snmp_exporter_conf_main }}"
    src: "/usr/local/src/{{ _snmp_exporter_release_archive | regex_replace('\\.tar.gz','') }}/snmp.yml"
    owner: "root"
    group: "snmp_exporter"
    mode: "0640"
    remote_src: "yes"
    force: "no"
  notify: "(monitoring.snmp_exporter) reload service"
